Clara-Backend
  1. Auth
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
        POST
      • Google OAuth
        POST
      • Login
        POST
      • Logout
        DELETE
      • Change Password
        PATCH
      • Send OTP
        POST
      • Activate
        POST
      • Enable 2FA
        POST
      • Disable 2FA
        DELETE
    • User
      • View
      • Update
    • API Key
      • View
      • Reset
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
      • Analysis
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • Transaction
      • View All
      • View
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  1. Auth

Register

Prod Env
https://backend.crazi.co/api/v1
Prod Env
https://backend.crazi.co/api/v1
POST
https://backend.crazi.co/api/v1
/auth/register
This endpoint lets a new user register an account on Clara. An account needs to be activated using the Activate endpoint before further usage.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Body

🟠400Bad Request
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://backend.crazi.co/api/v1/auth/register' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "first_name": "Vibhanshu",
  "last_name": "Rathod",
  "email": "hello@crazi.co",
  "password": "e|YUiO2PIj7E'\''0&V"
}'
Response Response Example
201 - Success
{
  "data": {
    "created_at": "Thu, 27 Nov 2025 00:10:11 GMT",
    "credits": 0.0,
    "email": "hello@crazi.co",
    "first_name": "Vibhanshu",
    "id": "user_5e5ce11ad8ed4a328df03ffd19fa80ec",
    "is_2fa_enabled": false,
    "is_active": false,
    "is_dark_mode": true,
    "last_name": "Rathod",
    "token": "clara_user_eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyXzVlNWNlMTFhZDhlZDRhMzI4ZGYwM2ZmZDE5ZmE4MGVjIiwicm9sZSI6InVzZXIiLCJpYXQiOjE3NjQyMDIyMTMuMTMzNDEsImV4cCI6MTc2NDgwNzAxMy4xMzMzNTh9.zRVidZ5rRiYtmZytV09g97DpHBlhAMgW4qk1F4oCYSA",
    "updated_at": "Thu, 27 Nov 2025 00:10:11 GMT"
  },
  "message": "User registered successfully.",
  "status": "success"
}
Modified at 2025-11-27 06:44:48
Previous
Auth
Next
Google OAuth
Built with